Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02527 Graphics Minor Always Oct 11, 2008, 11:09 9 days ago
Tester user422 View Status Public Platform MAME (Official Binary)
Assigned To 12Me21 Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.127u7 Fixed in Version 0.266 Build
Fixed in Git Commit 563b63f Github Pull Request # #11811
Summary 02527: gunlock, rayforcej, rayforce: There are small, square glitches on the title screen.
Description Some small, square things appear on the title screen. After the attract mode, where the woman takes the fighter, this is corrected, and the squares are gone.
Steps To Reproduce
Additional Information rayforcj -> rayforcej in 0.133u1
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems gunlock, rayforcej, rayforce
Attached Files
png file icon rayforcj0001.png (4,084 bytes) Oct 11, 2008, 11:09
Relationships
related to 01922Resolved12Me21  dariusg and clones: The traces of objects (sprites) are not displayed during the scene changes in zone G, H, I, and J. 
Notes
10
User avatar
No.02767
Fujix
Administrator
Oct 11, 2008, 14:49
Again, please put the master set first so that everybody can find the bug report by the game zip name, and these graphic bugs are not "major" but "minor".

Thanks.
User avatar
No.16598
MetalGod
Senior Tester
Jun 29, 2019, 12:47
The description is incorrect: The bug ocurrs right after the attract mode sequence with the woman inside the ship.
User avatar
No.16663
MetalGod
Senior Tester
Jul 15, 2019, 15:28
edited on: Jul 15, 2019, 15:31
PCB video reference here. The mentioned issue is not present, it can be checked in 1:03
User avatar
No.19650
Kale
Developer
Jan 6, 2022, 20:32
Gut instinct tells me it's disabling sprite DMA on title screen.
And Taito F3 is nasty on that regard, added relationship to prove it.
User avatar
No.22117
ywy
Tester
22 days ago
fixed by 12Me21 in https://github.com/mamedev/mame/pull/11811
User avatar
No.22128
Robbbert
Senior Tester
20 days ago
12Me21 is not registered here, so assigning to ywy.
User avatar
No.22137
Robbbert
Senior Tester
14 days ago
There are more taito-f3 reports which might have been fixed. Need to be checked.

3688, 8230, 8817, 956, 4213, 896, 7776, 1171, 1172, 1187.
User avatar
No.22141
ywy
Tester
14 days ago
edited on: 14 days ago
probably this summary should go somewhere else, but i will put it here for now:
03688 recalh: credits prios: not fixed yet, clip plane edge case.
08230 gunlock: area 4 shadows: not implemented, special palette effect, fix is annoying but known for existing cases.
01187 gseeker: attract plane/hangar: not fixed yet, umm this one is either same effect as MT08230 or that prio conflict case. need to do some more tests to resolve.
00896 cupfinal: initial entry misaligned: not fixed yet, scaling is inaccurate (we used the old calculations) also affects ridingf ending (and others more subtly)

01172 kaiserkn: green shadows: not even a bug; confusion by gamma of recordings?
00956 trstar: attract text behind character profile: BTANB/likely not even a bug, confirmed on hardware by darksoft
01171 dungeonm: stair prios: BTANB, confirmed on real hardware.
07776 dariusgx: backgrounds: isn't this BTANB, seen on real hardware?

other issues that should maybe be tracked as bugs:
gseeker stage 5 boss explosion sprites get stuck (sprite limit/timings)
scfinals (etc.) replays broken
scfinals (etc.) pitch and sidelines scrolling unsynchronized (scroll register timings)
kaiserkn test menu color bars wrong (rom layout mirroring)
trstar (etc.) *should* display garbage pixels during some transitions (pivot interpretation??)
arabianm, ringrage: missing 1 bit of color depth
gseeker: attract zoom scene missing forward blur effect
User avatar
No.22155
dink
Tester
11 days ago
ywy, re: gseeker st. 5 stuck sprites, this is a weird case - when I tried to limit the sprites, I would then have problems with certain sprites not appearing. It got to the point where I ended up just writing a hack to weed out the bad sprites for my own use. (I kinda love this game, hehe)
I would love to know if you have any ideas for a proper fix!

best regards,
- dink
User avatar
No.22157
ywy
Tester
10 days ago
dink: what limit did you set, and which sprites were wrong as a result that we can look for specifically?